Events children
GET https://analyticse.com/api/events-children/
curl --request GET \
--url 'https://analyticse.com/api/events-children/?website_id=1' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/events-children/?website_id=1' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 细节 | 描述 |
|---|---|---|
| website_id | 必需 整数 | |
| event_id | 可选的 整数 | |
| session_id | 可选的 整数 | |
| visitor_id | 可选的 整数 | |
| type | 可选的 字符串 | 允许的值:click, scroll, resize, form |
| datetime_field | 可选的 字符串 | 允许的值:date, expiration_date |
| datetime_start | 可选的 字符串 | 开始日期 |
| datetime_end | 可选的 字符串 | 结束日期 |
| order_by | 可选的 字符串 | 按哪个字段排序结果。允许的值有:id, event_id, session_id, visitor_id, type, count, expiration_date, date。 |
| order_type | 可选的 字符串 | 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。 |
| page | 可选的 整数 | 您想要结果的页码。默认为 1。 |
| results_per_page | 可选的 整数 | 每页您想要多少个结果。允许的值是:10, 25, 50, 100, 250, 500, 1000。默认为25。 |
{
"data": [
{
"id": 1,
"event_id": 1,
"session_id": 1,
"visitor_id": 1,
"website_id": 1,
"type": "click",
"data": {
"text": "Button"
},
"count": 1,
"expiration_date": "2027-09-12",
"datetime": "2026-09-12 00:48:15"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://analyticse.com/api/events-children?website_id=1&page=1",
"last": "https://analyticse.com/api/events-children?website_id=1&page=1",
"next": null,
"prev": null,
"self": "https://analyticse.com/api/events-children?website_id=1&page=1"
}
}
GET https://analyticse.com/api/events-children/{id}
curl --request GET \
--url 'https://analyticse.com/api/events-children/{id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/events-children/{id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"event_id": 1,
"session_id": 1,
"visitor_id": 1,
"website_id": 1,
"type": "click",
"data": {
"text": "Button"
},
"count": 1,
"expiration_date": "2027-09-12",
"datetime": "2026-09-12 00:48:15"
}
}
DELETE https://analyticse.com/api/events-children/{id}
curl --request DELETE \
--url 'https://analyticse.com/api/events-children/{id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/events-children/{id}' \
--header 'Authorization: Bearer {api_key}' \